## arb 5.5

=== Makefile ===
# =============================================================== #
#                                                                 #
#   File      : Makefile                                          #
#                                                                 #
#   Institute of Microbiology (Technical University Munich)       #
#   http://www.arb-home.de/                                       #
#                                                                 #
# =============================================================== #

# -----------------------------------------------------
# The ARB Makefile is aware of the following defines:
#
# BUILDHOST_64=0/1      1=>compile on 64 bit platform (defaults to ARB_64)
# DEVELOPER=name	special compilation (values: ANY,RELEASE,your name)
# OPENGL=0/1            whether OPENGL is available
#
# -----------------------------------------------------
# ARB Makefile and ARB source code are aware of the following defines:
#
# $(MACH)               name of the machine (LINUX,SUN4,SUN5,HP,SGI or DIGITAL; see config.makefile)
# DEBUG                 compiles the DEBUG sections
# DEBUG_GRAPHICS        all X-graphics are flushed immediately (for debugging)
# ARB_64=0/1            1=>compile 64 bit version
#
# -----------------------------------------------------
# The ARB source code is aware of the following defines:
#
# NDEBUG                doesn't compile the DEBUG sections
# DEVEL_$(DEVELOPER)    developer-dependent flag (enables you to have private sections in code)
#                       DEVELOPER='ANY' (default setting) will be ignored
#                       configurable in config.makefile
#
# -----------------------------------------------------
# Read configuration 
include config.makefile

ifeq ($(LD_LIBRARY_PATH),'')
LD_LIBRARY_PATH:=${ARBHOME}/lib
endif

FORCEMASK = umask 002

# ---------------------- [basic compiler setting]

ifdef DARWIN
#       GCC and GPP now set in the Portfile
else
	GCC:=$(CC)
	GPP:=$(CXX)

#       to use clang-static-analyzer , call make like this:
#       setenv CLANG_STATIC_CHECKER 1 ; scan-build make -j5 build
	ifeq ($(CLANG_STATIC_CHECKER),1)
		CCC_ANALYZER_CPLUSPLUS=1
	endif
endif


# ---------------------- compiler version detection

# supported compiler versions:

ALLOWED_GCC_3xx_VERSIONS=3.2 3.3.1 3.3.3 3.3.4 3.3.5 3.3.6 3.4.0 3.4.2 3.4.3
ALLOWED_GCC_4xx_VERSIONS=\
	4.0.0 4.0.1 4.0.2 4.0.3 \
	      4.1.1 4.1.2 4.1.3 \
	4.2.0 4.2.1       4.2.3 4.2.4 \
	      4.3.1 4.3.2 4.3.3 \
	      4.4.1       4.4.3 \
	      4.6.1 \
	      4.7.1

ALLOWED_GCC_VERSIONS=$(ALLOWED_GCC_3xx_VERSIONS) $(ALLOWED_GCC_4xx_VERSIONS)

GCC_VERSION_FOUND=$(shell $(ARBHOME)/SOURCE_TOOLS/arb_gcc_version.pl)
GCC_VERSION_ALLOWED=$(strip $(subst ___,,$(foreach version,$(ALLOWED_GCC_VERSIONS),$(findstring ___$(version)___,___$(GCC_VERSION_FOUND)___))))

USING_GCC_3XX=$(strip $(foreach version,$(ALLOWED_GCC_3xx_VERSIONS),$(findstring $(version),$(GCC_VERSION_ALLOWED))))
USING_GCC_4XX=$(strip $(foreach version,$(ALLOWED_GCC_4xx_VERSIONS),$(findstring $(version),$(GCC_VERSION_ALLOWED))))

#---------------------- define special directories for non standard builds

ifdef DARWIN
	OSX_FW:=/System/Library/Frameworks
	OSX_FW_OPENGL:=$(OSX_FW)/OpenGL.framework/Versions/A/Libraries
	OSX_FW_GLUT:=$(OSX_FW)/GLUT.framework/Versions/A/Libraries
	OSX_FW_IMAGEIO:=$(OSX_FW)/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources
endif

#----------------------

ifdef DARWIN
	LINK_STATIC=1# link static
else
	LINK_STATIC=0# link dynamically
endif

shared_cflags :=# flags for shared lib compilation
lflags :=# linker flags
extended_warnings :=# warning flags for C and C++-compiler
extended_cpp_warnings :=# warning flags for C++-compiler only


ifeq ($(DEBUG),0)
	dflags := -DNDEBUG# defines
	cflags := -O4# compiler flags (C and C++)
 ifndef DARWIN
	lflags += -O99# linker flags
 endif
endif

ifeq ($(DEBUG),1)
	dflags := -DDEBUG
	cflags := -O0 -g -g3 -ggdb -ggdb3
#	cflags := -O2 -g -g3 -ggdb -ggdb3 # use this for callgrind (force inlining)
 ifndef DARWIN
	lflags += -g
 endif

	POST_COMPILE := 2>&1 | $(ARBHOME)/SOURCE_TOOLS/postcompile.pl

# Enable several warnings
	extended_warnings     := -Wwrite-strings -Wunused -Wno-aggregate-return -Wshadow
	extended_cpp_warnings := -Wnon-virtual-dtor -Wreorder -Wpointer-arith 
 ifneq ('$(USING_GCC_3XX)','')
	extended_cpp_warnings += -Wdisabled-optimization -Wmissing-format-attribute
	extended_cpp_warnings += -Wmissing-noreturn # -Wfloat-equal 
 endif
 ifneq ('$(USING_GCC_4XX)','')
#	extended_cpp_warnings += -Wwhatever
 endif

 ifeq ($(DEBUG_GRAPHICS),1)
	dflags += -DDEBUG_GRAPHICS
 endif
endif

#---------------------- developer 

ifneq ($(DEVELOPER),ANY) # ANY=default setting (skip all developer specific code)
ifdef dflags
	dflags += -DDEVEL_$(DEVELOPER)# activate developer/release specific code
endif
endif

#---------------------- 32 or 64 bit

ifndef ARB_64
	ARB_64=0#default to 32bit
endif
ifndef BUILDHOST_64
	BUILDHOST_64:=$(ARB_64)# assume build host is same as version (see config.makefile)
endif

ifeq ($(ARB_64),1)
	dflags += -DARB_64 #-fPIC 
	lflags +=
	shared_cflags += -fPIC

	ifeq ($(BUILDHOST_64),1)
#		build 64-bit ARB version on 64-bit host
		CROSS_LIB:=# empty = autodetect below
		ifdef DARWIN
			cflags += -arch x86_64
			lflags += -arch x86_64
		endif
	else
#		build 64-bit ARB version on 32-bit host
		CROSS_LIB:=/lib64
		cflags += -m64
		lflags += -m64 -m elf_x86_64
	endif
else
	ifeq ($(BUILDHOST_64),1)
#		build 32-bit ARB version on 64-bit host
		CROSS_LIB:=# empty = autodetect below
		cflags += -m32
		lflags += -m32 -m elf_i386 
	else
#		build 32-bit ARB version on 32-bit host
		CROSS_LIB:=/lib
	endif
endif

ifeq ('$(CROSS_LIB)','')
# autodetect libdir
	ifeq ($(ARB_64),1)
		CROSS_LIB:=`(test -d /lib64 && echo lib64) || echo lib`
	else
		CROSS_LIB:=`(test -d /lib32 && echo lib32) || echo lib`
	endif
endif

#---------------------- other flags

dflags += -D$(MACH) # define machine

ifdef DARWIN
	shared_cflags += -fno-common
else
	dflags +=  $(shell getconf LFS_CFLAGS)
endif

cflags += -pipe
cflags += -fmessage-length=0# don't wrap compiler output
cflags += -funit-at-a-time
cflags += -fPIC

#---------------------- X11 location

ifdef DARWIN
	XHOME:=$(PREFIX)
else
	XHOME:=/usr/X11R6
endif

XINCLUDES:=-I$(XHOME)/include
ifdef DARWIN
	XINCLUDES += -I$(OSX_FW)/GLUT.framework/Headers -I$(OSX_FW)/OpenGL.framework/Headers -I$(OSX_SDK)/usr/include/krb5

	XLIBS := -L$(XHOME)/lib -lXm -lpng -lz -lXt -lX11 -lXext -lXp -lXmu -lXi
	XLIBS += -Wl,-dylib_file,$(OSX_FW_OPENGL)/libGL.dylib:$(OSX_FW_OPENGL)/libGL.dylib
	XLIBS += -Wl,-dylib_file,$(OSX_FW_OPENGL)/libGLU.dylib:$(OSX_FW_OPENGL)/libGLU.dylib
else
	XLIBS:=-L$(XHOME)/$(CROSS_LIB) -lXm -lXpm -lXt -lXext -lX11
endif

#---------------------- open GL

ifeq ($(OPENGL),1) 
	cflags += -DARB_OPENGL # activate OPENGL code
	GL     := gl # this is the name of the OPENGL base target
	GL_LIB := -lGL -L$(ARBHOME)/GL/glAW -lglAW

	ifdef DEBIAN
		GL_LIB += -lpthread
	endif

	GL_PNGLIBS := -L$(ARBHOME)/GL/glpng -lglpng_arb -lpng
	GLEWLIB := -lGLEW -lGLw

	ifdef DARWIN
		GLUTLIB := -glut
	else
		GLUTLIB := -lglut
	endif

	GL_LIBS := $(GL_LIB) $(GLEWLIB) $(GLUTLIB) $(GL_PNGLIBS)

else

GL_LIBS:=# no opengl -> no libs
GL:=# don't build ARB openGL libs

endif

#---------------------- tiff lib:

TIFFLIBS := -ltiff

#---------------------- basic libs:

SYSLIBS:=

ifdef DARWIN
	SYSLIBS += -lstdc++
else
	SYSLIBS += -lm
endif

#---------------------- include symbols?

ifeq ($(TRACESYM),1)
	ifdef DARWIN
		cdynamic =
		ldynamic =
	else
		cdynamic = -rdynamic -Wl,--export-dynamic
		ldynamic = --export-dynamic
	endif
endif

# ------------------------------------------------------------------------- 
#	Don't put any machine/version/etc conditionals below!
#	(instead define variables above)
# -------------------------------------------------------------------------

cflags += -W -Wall $(dflags) $(extended_warnings) $(cdynamic)

cppflags := $(extended_cpp_warnings)

ifeq ($(DEVELOPER),RALF)
HAVE_GNUPP0X=`SOURCE_TOOLS/requireVersion.pl 4.3 $(GCC_VERSION_FOUND)`
ifeq ($(HAVE_GNUPP0X),1)
# ensure compatibility with upcoming C++ standard
cppflags += -std=gnu++0x
endif
endif

# compiler settings:

ACC := $(GCC)# compile C
CPP := $(GPP) $(cppflags)# compile C++
ACCLIB := $(ACC) $(shared_cflags)# compile C (shared libs)
CPPLIB := $(CPP) $(shared_cflags)# compile C++ (shared libs)

LINK_STATIC_LIB := ld $(lflags) $(ldynamic) -r -o# link static lib
LINK_EXECUTABLE := $(GPP) $(lflags) $(cdynamic) -o# link executable (c++)

ifeq ($(LINK_STATIC),1)
SHARED_LIB_SUFFIX = a# static lib suffix
LINK_SHARED_LIB := $(LINK_STATIC_LIB)
else
SHARED_LIB_SUFFIX = so# shared lib suffix
LINK_SHARED_LIB := $(GPP) $(lflags) $(cdynamic) -shared -o# link shared lib
endif

# other used tools

CTAGS := etags

ifdef DARWIN
	XMKMF := $(PREFIX)/bin/xmkmf
else
	XMKMF := /usr/bin/X11/xmkmf
endif

MAKEDEPEND_PLAIN = makedepend

MAKEDEPEND = $(FORCEMASK);$(MAKEDEPEND_PLAIN)

SEP:=--------------------------------------------------------------------------------

# delete variables unused below

lflags:=

# ------------------------- 
#     Main arb targets:     
# ------------------------- 

first_target:
		$(MAKE) checks
		@echo $(SEP)
		@echo 'Main targets:'
		@echo ''
		@echo ' all         - Compile ARB + TOOLs + and copy shared libs + link foreign software'
		@echo '               (That is most likely the target you want)'
		@echo ''
		@echo ' clean       - remove generated files ("SUBDIR/SUBDIR.clean" to clean only SUBDIR)'
		@echo ' rebuild     - clean + all'
		@echo ' relink      - remove all binaries and relink them from objects'
		@echo ''
		@echo 'Some often used sub targets (make all makes them all):'
		@echo ''
		@echo ' arb         - Just compile ARB (but none of the integrated tools)'
		@echo ' menus       - create GDEHELP/ARB_GDEmenus from GDEHELP/ARB_GDEmenus.source'
		@echo ' perl        - Compile the PERL XSUBS into lib/ARB.so  and create links in lib to perl'
		@echo ' binlink     - Create all links in the bin directory'
		@echo ''
		@echo 'Development targets:'
		@echo ''
		@echo ' depends      - create or update dependencies ("SUBDIR/SUBDIR.depends" to update only SUBDIR)'
		@echo ' proto        - create or update prototypes ("SUBDIR/SUBDIR.proto" to update only SUBDIR)'
		@echo ' tags         - create tags for xemacs'
		@echo ' rmbak        - remove all "*%" and cores'
		@echo ' show         - show available shortcuts (AKA subtargets)'
		@echo ' up           - shortcut for depends+proto+tags'
		@echo ' modified     - rebuild files modified in svn checkout (touches files!)'
		@echo ''
		@echo 'Internal maintenance:'
		@echo ''
		@echo ' rel_minor   - build a release (increases minor version number)'
		@echo ' rel_major   - build a release (increases MAJOR version number)'
		@echo ' tarfile     - make rebuild and create arb version tarfile ("tarfile_quick" to skip rebuild)'
		@echo ' save        - save all basic ARB sources into arbsrc_DATE'
		@echo ' rtc_patch   - create LIBLINK/libRTC8M.so (SOLARIS ONLY)'
		@echo ' source_doc  - create doxygen documentation'
		@echo ' relocated   - rebuild partly (use when you have relocated ARBHOME)'
		@echo ' check_res   - check ressource usage'
		@echo ''
		@echo $(SEP)
		@echo ''


# auto-generate config.makefile:

CONFIG_MAKEFILE_FOUND=$(wildcard config.makefile)

config.makefile : config.makefile.template
		@echo --------------------------------------------------------------------------------
ifeq ($(strip $(CONFIG_MAKEFILE_FOUND)),)
		@cp $< $@
		@echo '$(ARBHOME)/$@:1: has been generated.'
		@echo 'Please edit $@ to configure your system!'
		@echo --------------------------------------------------------------------------------
		@false
else
		@echo '$(ARBHOME)/$<:1: is more recent than'
		@echo '$(ARBHOME)/$@:1:'
		@ls -al config.makefile*
		@echo --------------------------------------------------------------------------------

=== AISC/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben

.SUFFIXES: .o .c .depend
OBJECTS = aisc.o aisc_commands.o aisc_var_ref.o aisc_mix.o

BINARY=aisc

$(MAIN): $(BINARY)

$(BINARY):	$(OBJECTS)
	$(CPP) $(cflags) -o $@ $(OBJECTS)

.c.o:
	$(CPP) -x c++ $(cflags) -c $< $(AINCLUDES)

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

clean:
	rm -f $(OBJECTS) $(BINARY)

proto:
	../AISC_MKPTPS/aisc_mkpt -C -G -w aisc_proto.h *.c >aisc_proto.h.tmp
	../SOURCE_TOOLS/mv_if_diff aisc_proto.h.tmp aisc_proto.h

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

aisc.o: aisc.h
aisc.o: aisc_proto.h
aisc.o: $(ARBHOME)/INCLUDE/attributes.h

aisc_commands.o: aisc.h
aisc_commands.o: aisc_proto.h
aisc_commands.o: $(ARBHOME)/INCLUDE/attributes.h

aisc_mix.o: aisc.h
aisc_mix.o: aisc_proto.h
aisc_mix.o: $(ARBHOME)/INCLUDE/attributes.h

aisc_var_ref.o: aisc.h
aisc_var_ref.o: aisc_proto.h
aisc_var_ref.o: $(ARBHOME)/INCLUDE/attributes.h

=== AISC_COM/Makefile ===
# 
# This directory contains the general parts of the ARB communication interface
#
# Directory AISC
# 	contains the AISC-code (AISC=ARB Integrated Source Codegenerator?)
# 	used to build up communication interfaces.
#
# Directory C
# 	contains general client/server code (used for all interfaces)
#
# The specific interfaces are build in $(ARBHOME)/XXXX_COM directories
# and rely on the code here.

proto:
		$(MAKE) -C C proto

=== AISC_MKPTPS/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben

.SUFFIXES: .o .c .depend

OBJECTS = mkptypes.o
BINARY = aisc_mkpt

$(MAIN): $(BINARY)

$(BINARY): $(OBJECTS)
	$(ACC) $(cflags) -o $@ $(OBJECTS)

.c.o:
	$(ACC) $(cflags) -c $< $(POST_COMPILE)

clean:
	rm -f $(OBJECTS) $(BINARY)

depends:
	@echo "No depends here"

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

=== ALIV3/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben

.SUFFIXES: .o .c .cxx .depend

CPP_OBJECTS =	a3.o a3_seq.o a3_ptree1.o a3_ptree2.o a3_helix.o a3_darray.o a3_ali.o \
		a3_matrix.o a3_arbdb.o a3_basen.o
C_OBJECTS=

OBJECTS = $(CPP_OBJECTS) $(C_OBJECTS)

$(MAIN): $(OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(OBJECTS)

.cxx.o:
	$(CPP) $(cflags) -c $< $(CPPINCLUDES)

.c.o:
	$(ACC) $(cflags) -c $< $(CPPINCLUDES)

clean:
	rm -f $(OBJECTS) *.a

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

a3.o: a3_ali.hxx
a3.o: a3_arbdb.hxx
a3.o: a3_darray.hxx
a3.o: a3_helix.hxx
a3.o: a3_ptree.hxx
a3.o: a3_seq.hxx
a3.o: a3_types.h
a3.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
a3.o: $(ARBHOME)/INCLUDE/ad_prot.h
a3.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
a3.o: $(ARBHOME)/INCLUDE/arb_assert.h
a3.o: $(ARBHOME)/INCLUDE/arbdb.h
a3.o: $(ARBHOME)/INCLUDE/arbdb_base.h
a3.o: $(ARBHOME)/INCLUDE/arbdbt.h
a3.o: $(ARBHOME)/INCLUDE/attributes.h
a3.o: $(ARBHOME)/INCLUDE/BI_helix.hxx

a3_ali.o: a3_ali.hxx
a3_ali.o: a3_darray.hxx
a3_ali.o: a3_helix.hxx
a3_ali.o: a3_ptree.hxx
a3_ali.o: a3_seq.hxx
a3_ali.o: a3_types.h

a3_arbdb.o: a3_arbdb.hxx
a3_arbdb.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
a3_arbdb.o: $(ARBHOME)/INCLUDE/ad_prot.h
a3_arbdb.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
a3_arbdb.o: $(ARBHOME)/INCLUDE/arb_assert.h
a3_arbdb.o: $(ARBHOME)/INCLUDE/arbdb.h
a3_arbdb.o: $(ARBHOME)/INCLUDE/arbdb_base.h
a3_arbdb.o: $(ARBHOME)/INCLUDE/arbdbt.h
a3_arbdb.o: $(ARBHOME)/INCLUDE/attributes.h

a3_basen.o: a3_basen.h

a3_darray.o: a3_darray.hxx

a3_helix.o: a3_ali.hxx
a3_helix.o: a3_darray.hxx
a3_helix.o: a3_helix.hxx
a3_helix.o: a3_matrix.hxx
a3_helix.o: a3_ptree.hxx
a3_helix.o: a3_seq.hxx
a3_helix.o: a3_types.h

a3_matrix.o: a3_darray.hxx
a3_matrix.o: a3_matrix.hxx

a3_ptree1.o: a3_basen.h
a3_ptree1.o: a3_ptree.hxx
a3_ptree1.o: a3_seq.hxx
a3_ptree1.o: a3_types.h
a3_ptree1.o: $(ARBHOME)/INCLUDE/inline.h

a3_ptree2.o: a3_basen.h
a3_ptree2.o: a3_ptree.hxx
a3_ptree2.o: a3_seq.hxx
a3_ptree2.o: a3_types.h
a3_ptree2.o: $(ARBHOME)/INCLUDE/inline.h

a3_seq.o: a3_basen.h
a3_seq.o: a3_seq.hxx
a3_seq.o: a3_types.h
a3_seq.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
a3_seq.o: $(ARBHOME)/INCLUDE/ad_prot.h
a3_seq.o: $(ARBHOME)/INCLUDE/arb_assert.h
a3_seq.o: $(ARBHOME)/INCLUDE/arbdb.h
a3_seq.o: $(ARBHOME)/INCLUDE/arbdb_base.h
a3_seq.o: $(ARBHOME)/INCLUDE/attributes.h
a3_seq.o: $(ARBHOME)/INCLUDE/inline.h

=== ARBDB/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben
.SUFFIXES: .o .c .cxx .depend

include AD_MOBJECTS.h
OBJECTS = $(GB_O) $(GB_T) $(GB_PP) $(GB_X)

$(MAIN): $(OBJECTS)
	$(LINK_SHARED_LIB) $(@:.a=).$(SHARED_LIB_SUFFIX) $(OBJECTS)
	touch $@
.c.o:
	$(ACCLIB) $(cflags) -c $< $(AINCLUDES) $(POST_COMPILE)
.cxx.o:
	$(CPPLIB) $(cflags) -c $< $(AINCLUDES) $(POST_COMPILE)

proto:	gproto lproto

lproto: lpro tlpro# local prototypes

lpro: $(GB_O:.o=.c)
	../MAKEBIN/aisc_mkpt -c "Internal database interface" -G -z -C -w ad_lpro.h -F gb_,gbs_,gbcm,gbm_,gbl_ $^ >ad_lpro.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_lpro.h.tmp ad_lpro.h

tlpro: $(GB_T:.o=.c)
	../MAKEBIN/aisc_mkpt -c "Internal toolkit" -G -z -C -w ad_t_lpro.h -F gb_,gbt_,gbs_ $^ >ad_t_lpro.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_t_lpro.h.tmp ad_t_lpro.h

gproto: pro tpro kpro# global prototypes

pro: $(GB_O:.o=.c)
	../MAKEBIN/aisc_mkpt -c "ARB database interface" -G -z -C -w ad_prot.h -F GB_,GEN_,EXP_,GBS_,GBP_,GBT_,GBCM $^ >ad_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_prot.h.tmp ad_prot.h

tpro: $(GB_T:.o=.c)
	../MAKEBIN/aisc_mkpt -c "ARB toolkit" -G -z -C -w ad_t_prot.h -F GB_,GEN_,EXP_,GBT_ $^ >ad_t_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_t_prot.h.tmp ad_t_prot.h

kpro: $(GB_O:.o=.c)
	../MAKEBIN/aisc_mkpt -c "ARB kernel interface" -G -z -C -w ad_k_prot.h -F GBK_ $^ >ad_k_prot.h.tmp
	../SOURCE_TOOLS/mv_if_diff ad_k_prot.h.tmp ad_k_prot.h

wc:
	wc *.[ch]

clean:
	rm -f $(OBJECTS) *.a *.so

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

ad_config.o: ad_config.h
ad_config.o: ad_k_prot.h
ad_config.o: ad_prot.h
ad_config.o: ad_t_prot.h
ad_config.o: arb_assert.h
ad_config.o: arbdb.h
ad_config.o: arbdb_base.h
ad_config.o: arbdbt.h
ad_config.o: $(ARBHOME)/INCLUDE/attributes.h

ad_core.o: ad_k_prot.h
ad_core.o: ad_lpro.h
ad_core.o: ad_prot.h
ad_core.o: adlmacros.h
ad_core.o: adlocal.h
ad_core.o: adtune.h
ad_core.o: arb_assert.h
ad_core.o: arbdb.h
ad_core.o: arbdb_base.h
ad_core.o: $(ARBHOME)/INCLUDE/attributes.h

ad_load.o: ad_k_prot.h
ad_load.o: ad_lpro.h
ad_load.o: ad_prot.h
ad_load.o: ad_t_lpro.h
ad_load.o: ad_t_prot.h
ad_load.o: adlmacros.h
ad_load.o: adlocal.h
ad_load.o: admap.h
ad_load.o: adtune.h
ad_load.o: arb_assert.h
ad_load.o: arbdb.h
ad_load.o: arbdb_base.h
ad_load.o: arbdbt.h
ad_load.o: $(ARBHOME)/INCLUDE/attributes.h

ad_save_load.o: ad_k_prot.h
ad_save_load.o: ad_lpro.h
ad_save_load.o: ad_prot.h
ad_save_load.o: adlmacros.h
ad_save_load.o: adlocal.h
ad_save_load.o: admap.h
ad_save_load.o: adtune.h
ad_save_load.o: arb_assert.h
ad_save_load.o: arbdb.h
ad_save_load.o: arbdb_base.h
ad_save_load.o: $(ARBHOME)/INCLUDE/attributes.h

adali.o: ad_k_prot.h
adali.o: ad_lpro.h
adali.o: ad_prot.h
adali.o: ad_t_lpro.h
adali.o: ad_t_prot.h
adali.o: adGene.h
adali.o: adlmacros.h
adali.o: adlocal.h
adali.o: adtune.h
adali.o: arb_assert.h
adali.o: arbdb.h
adali.o: arbdb_base.h
adali.o: arbdbt.h
adali.o: $(ARBHOME)/INCLUDE/attributes.h

adChangeKey.o: ad_k_prot.h
adChangeKey.o: ad_prot.h
adChangeKey.o: ad_t_prot.h
adChangeKey.o: arb_assert.h
adChangeKey.o: arbdb.h
adChangeKey.o: arbdb_base.h
adChangeKey.o: arbdbt.h
adChangeKey.o: $(ARBHOME)/INCLUDE/attributes.h

adcolumns.o: ad_k_prot.h
adcolumns.o: ad_lpro.h
adcolumns.o: ad_prot.h
adcolumns.o: ad_t_lpro.h
adcolumns.o: ad_t_prot.h
adcolumns.o: adGene.h
adcolumns.o: adlmacros.h
adcolumns.o: adlocal.h
adcolumns.o: adtune.h
adcolumns.o: arb_assert.h
adcolumns.o: arbdb.h
adcolumns.o: arbdb_base.h
adcolumns.o: arbdbt.h
adcolumns.o: $(ARBHOME)/INCLUDE/attributes.h

adcomm.o: ad_k_prot.h
adcomm.o: ad_lpro.h
adcomm.o: ad_prot.h
adcomm.o: adlmacros.h
adcomm.o: adlocal.h
adcomm.o: adtune.h
adcomm.o: arb_assert.h
adcomm.o: arbdb.h
adcomm.o: arbdb_base.h
adcomm.o: $(ARBHOME)/INCLUDE/attributes.h

adcompr.o: ad_k_prot.h
adcompr.o: ad_lpro.h
adcompr.o: ad_prot.h
adcompr.o: ad_t_lpro.h
adcompr.o: ad_t_prot.h
adcompr.o: adlmacros.h
adcompr.o: adlocal.h
adcompr.o: adtune.h
adcompr.o: arb_assert.h
adcompr.o: arbdb.h
adcompr.o: arbdb_base.h
adcompr.o: arbdbt.h
adcompr.o: $(ARBHOME)/INCLUDE/attributes.h

adExperiment.o: ad_k_prot.h
adExperiment.o: ad_prot.h
adExperiment.o: ad_t_prot.h
adExperiment.o: arb_assert.h
adExperiment.o: arbdb.h
adExperiment.o: arbdb_base.h
adExperiment.o: arbdbt.h
adExperiment.o: $(ARBHOME)/INCLUDE/attributes.h

adGene.o: ad_k_prot.h
adGene.o: ad_prot.h
adGene.o: ad_t_prot.h
adGene.o: adGene.h
adGene.o: arb_assert.h
adGene.o: arbdb.h
adGene.o: arbdb_base.h
adGene.o: arbdbt.h
adGene.o: $(ARBHOME)/INCLUDE/attributes.h

adhash.o: ad_k_prot.h
adhash.o: ad_lpro.h
adhash.o: ad_prot.h
adhash.o: adlmacros.h
adhash.o: adlocal.h
adhash.o: adtune.h
adhash.o: arb_assert.h
adhash.o: arbdb.h
adhash.o: arbdb_base.h
adhash.o: $(ARBHOME)/INCLUDE/attributes.h

adhashtools.o: ad_k_prot.h
adhashtools.o: ad_lpro.h
adhashtools.o: ad_prot.h
adhashtools.o: ad_t_lpro.h
adhashtools.o: ad_t_prot.h
adhashtools.o: adlmacros.h
adhashtools.o: adlocal.h
adhashtools.o: adtune.h
adhashtools.o: arb_assert.h
adhashtools.o: arbdb.h
adhashtools.o: arbdb_base.h
adhashtools.o: arbdbt.h
adhashtools.o: $(ARBHOME)/INCLUDE/attributes.h

adindex.o: ad_k_prot.h
adindex.o: ad_lpro.h
adindex.o: ad_prot.h
adindex.o: adlmacros.h
adindex.o: adlocal.h
adindex.o: adlundo.h
adindex.o: adtune.h
adindex.o: arb_assert.h
adindex.o: arbdb.h
adindex.o: arbdb_base.h
adindex.o: $(ARBHOME)/INCLUDE/attributes.h

aditem.o: ad_k_prot.h
aditem.o: ad_lpro.h
aditem.o: ad_prot.h
aditem.o: ad_t_lpro.h
aditem.o: ad_t_prot.h
aditem.o: adlmacros.h
aditem.o: adlocal.h
aditem.o: adtune.h
aditem.o: arb_assert.h
aditem.o: arbdb.h
aditem.o: arbdb_base.h
aditem.o: arbdbt.h
aditem.o: $(ARBHOME)/INCLUDE/attributes.h

adlang1.o: ad_k_prot.h
adlang1.o: ad_lpro.h
adlang1.o: ad_prot.h
adlang1.o: ad_t_lpro.h
adlang1.o: ad_t_prot.h
adlang1.o: adGene.h
adlang1.o: adlmacros.h
adlang1.o: adlocal.h
adlang1.o: adtune.h
adlang1.o: arb_assert.h
adlang1.o: arbdb.h
adlang1.o: arbdb_base.h
adlang1.o: arbdbt.h
adlang1.o: $(ARBHOME)/INCLUDE/attributes.h

adlink.o: ad_k_prot.h
adlink.o: ad_lpro.h
adlink.o: ad_prot.h
adlink.o: adlmacros.h
adlink.o: adlocal.h
adlink.o: adtune.h
adlink.o: arb_assert.h
adlink.o: arbdb.h
adlink.o: arbdb_base.h
adlink.o: $(ARBHOME)/INCLUDE/attributes.h

admalloc.o: ad_k_prot.h
admalloc.o: ad_lpro.h
admalloc.o: ad_prot.h
admalloc.o: adlmacros.h
admalloc.o: adlocal.h
admalloc.o: adtune.h
admalloc.o: arb_assert.h
admalloc.o: arbdb.h
admalloc.o: arbdb_base.h
admalloc.o: $(ARBHOME)/INCLUDE/attributes.h

admap.o: ad_k_prot.h
admap.o: ad_lpro.h
admap.o: ad_prot.h
admap.o: adlmacros.h
admap.o: adlocal.h
admap.o: admap.h
admap.o: adtune.h
admap.o: arb_assert.h
admap.o: arbdb.h
admap.o: arbdb_base.h
admap.o: $(ARBHOME)/INCLUDE/attributes.h

admatch.o: ad_k_prot.h
admatch.o: ad_lpro.h
admatch.o: ad_prot.h
admatch.o: adlmacros.h
admatch.o: adlocal.h
admatch.o: adtune.h
admatch.o: arb_assert.h
admatch.o: arbdb.h
admatch.o: arbdb_base.h
admatch.o: $(ARBHOME)/INCLUDE/attributes.h

admath.o: ad_k_prot.h
admath.o: ad_lpro.h
admath.o: ad_prot.h
admath.o: adlmacros.h
admath.o: adlocal.h
admath.o: adtune.h
admath.o: arb_assert.h
admath.o: arbdb.h
admath.o: arbdb_base.h
admath.o: $(ARBHOME)/INCLUDE/attributes.h

adname.o: ad_config.h
adname.o: ad_k_prot.h
adname.o: ad_lpro.h
adname.o: ad_prot.h
adname.o: ad_t_lpro.h
adname.o: ad_t_prot.h
adname.o: adlmacros.h
adname.o: adlocal.h
adname.o: adtune.h
adname.o: arb_assert.h
adname.o: arbdb.h
adname.o: arbdb_base.h
adname.o: arbdbt.h
adname.o: $(ARBHOME)/INCLUDE/attributes.h

adoptimize.o: ad_k_prot.h
adoptimize.o: ad_lpro.h
adoptimize.o: ad_prot.h
adoptimize.o: ad_t_lpro.h
adoptimize.o: ad_t_prot.h
adoptimize.o: adlmacros.h
adoptimize.o: adlocal.h
adoptimize.o: adtune.h
adoptimize.o: arb_assert.h
adoptimize.o: arbdb.h
adoptimize.o: arbdb_base.h
adoptimize.o: arbdbt.h
adoptimize.o: $(ARBHOME)/INCLUDE/attributes.h

adperl.o: ad_k_prot.h
adperl.o: ad_prot.h
adperl.o: arb_assert.h
adperl.o: arbdb.h
adperl.o: arbdb_base.h
adperl.o: $(ARBHOME)/INCLUDE/attributes.h

adquery.o: ad_k_prot.h
adquery.o: ad_lpro.h
adquery.o: ad_prot.h
adquery.o: adlmacros.h
adquery.o: adlocal.h
adquery.o: adtune.h
adquery.o: arb_assert.h
adquery.o: arbdb.h
adquery.o: arbdb_base.h
adquery.o: $(ARBHOME)/INCLUDE/attributes.h

adRevCompl.o: ad_k_prot.h
adRevCompl.o: ad_prot.h
adRevCompl.o: ad_t_prot.h
adRevCompl.o: arb_assert.h
adRevCompl.o: arbdb.h
adRevCompl.o: arbdb_base.h
adRevCompl.o: arbdbt.h
adRevCompl.o: $(ARBHOME)/INCLUDE/attributes.h

adseqcompr.o: ad_k_prot.h
adseqcompr.o: ad_lpro.h
adseqcompr.o: ad_prot.h
adseqcompr.o: ad_t_lpro.h
adseqcompr.o: ad_t_prot.h
adseqcompr.o: adlmacros.h
adseqcompr.o: adlocal.h
adseqcompr.o: adtune.h
adseqcompr.o: arb_assert.h
adseqcompr.o: arbdb.h
adseqcompr.o: arbdb_base.h
adseqcompr.o: arbdbt.h
adseqcompr.o: $(ARBHOME)/INCLUDE/attributes.h

adsocket.o: ad_k_prot.h
adsocket.o: ad_lpro.h
adsocket.o: ad_prot.h
adsocket.o: adlmacros.h
adsocket.o: adlocal.h
adsocket.o: adtune.h
adsocket.o: arb_assert.h
adsocket.o: arbdb.h
adsocket.o: arbdb_base.h
adsocket.o: $(ARBHOME)/INCLUDE/attributes.h

adsort.o: ad_k_prot.h
adsort.o: ad_prot.h
adsort.o: arb_assert.h
adsort.o: arbdb.h
adsort.o: arbdb_base.h
adsort.o: $(ARBHOME)/INCLUDE/attributes.h

adstring.o: ad_k_prot.h
adstring.o: ad_lpro.h
adstring.o: ad_prot.h
adstring.o: adlmacros.h
adstring.o: adlocal.h
adstring.o: adtune.h
adstring.o: arb_assert.h
adstring.o: arbdb.h
adstring.o: arbdb_base.h
adstring.o: $(ARBHOME)/INCLUDE/attributes.h

adsystem.o: ad_k_prot.h
adsystem.o: ad_lpro.h
adsystem.o: ad_prot.h
adsystem.o: ad_t_lpro.h
adsystem.o: ad_t_prot.h
adsystem.o: adlmacros.h
adsystem.o: adlocal.h
adsystem.o: adtune.h
adsystem.o: arb_assert.h
adsystem.o: arbdb.h
adsystem.o: arbdb_base.h
adsystem.o: arbdbt.h
adsystem.o: $(ARBHOME)/INCLUDE/attributes.h

adtables.o: ad_k_prot.h
adtables.o: ad_lpro.h
adtables.o: ad_prot.h
adtables.o: ad_t_lpro.h
adtables.o: ad_t_prot.h
adtables.o: adlmacros.h
adtables.o: adlocal.h
adtables.o: adtune.h
adtables.o: arb_assert.h
adtables.o: arbdb.h
adtables.o: arbdb_base.h
adtables.o: arbdbt.h
adtables.o: $(ARBHOME)/INCLUDE/attributes.h

adtcp.o: ad_k_prot.h
adtcp.o: ad_lpro.h
adtcp.o: ad_prot.h
adtcp.o: ad_t_lpro.h
adtcp.o: ad_t_prot.h
adtcp.o: adlmacros.h
adtcp.o: adlocal.h
adtcp.o: adtune.h
adtcp.o: arb_assert.h
adtcp.o: arbdb.h
adtcp.o: arbdb_base.h
adtcp.o: arbdbt.h
adtcp.o: $(ARBHOME)/INCLUDE/attributes.h

adTest.o: ad_k_prot.h
adTest.o: ad_lpro.h
adTest.o: ad_prot.h
adTest.o: adlmacros.h
adTest.o: adlocal.h
adTest.o: admap.h
adTest.o: adtune.h
adTest.o: arb_assert.h
adTest.o: arbdb.h
adTest.o: arbdb_base.h
adTest.o: $(ARBHOME)/INCLUDE/attributes.h

adtools.o: ad_k_prot.h
adtools.o: ad_lpro.h
adtools.o: ad_prot.h
adtools.o: ad_t_lpro.h
adtools.o: ad_t_prot.h
adtools.o: adlmacros.h
adtools.o: adlocal.h
adtools.o: adtune.h
adtools.o: arb_assert.h
adtools.o: arbdb.h
adtools.o: arbdb_base.h
adtools.o: arbdbt.h
adtools.o: $(ARBHOME)/INCLUDE/attributes.h

adtree.o: ad_k_prot.h
adtree.o: ad_lpro.h
adtree.o: ad_prot.h
adtree.o: ad_t_lpro.h
adtree.o: ad_t_prot.h
adtree.o: adlmacros.h
adtree.o: adlocal.h
adtree.o: adtune.h
adtree.o: arb_assert.h
adtree.o: arbdb.h
adtree.o: arbdb_base.h
adtree.o: arbdbt.h
adtree.o: $(ARBHOME)/INCLUDE/attributes.h

adtune.o: adtune.h

arbdb.o: ad_k_prot.h
arbdb.o: ad_lpro.h
arbdb.o: ad_prot.h
arbdb.o: adlmacros.h
arbdb.o: adlocal.h
arbdb.o: adtune.h
arbdb.o: arb_assert.h
arbdb.o: arbdb.h
arbdb.o: arbdb_base.h
arbdb.o: $(ARBHOME)/INCLUDE/attributes.h

arbdbpp.o: ad_k_prot.h
arbdbpp.o: ad_prot.h
arbdbpp.o: ad_t_prot.h

=== ARBDB2/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben
.SUFFIXES: .o .c .depend

include AD_MOBJECTS.h

ACC_OBJECTS = $(GB_O) $(GB_T) $(GB_X)

$(MAIN): $(ACC_OBJECTS)
	$(LINK_SHARED_LIB) $(@:.a=).$(SHARED_LIB_SUFFIX) $(ACC_OBJECTS)
	touch $@
.c.o:
	$(ACCLIB) $(cflags) -c $< $(AINCLUDES) $(POST_COMPILE)

clean:
	rm -f $(ACC_OBJECTS) *.a *.so

DEPENDS = $(ACC_OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

links:
	ln -s ../ARBDB/*.[ch] .

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

ad_config.o: ad_config.h
ad_config.o: ad_prot.h
ad_config.o: ad_t_prot.h
ad_config.o: arbdb.h
ad_config.o: arbdbt.h
ad_config.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_config.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ad_config.o: $(ARBHOME)/INCLUDE/attributes.h

ad_core.o: ad_lpro.h
ad_core.o: ad_prot.h
ad_core.o: adlmacros.h
ad_core.o: adlocal.h
ad_core.o: adtune.h
ad_core.o: arbdb.h
ad_core.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
ad_core.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_core.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ad_core.o: $(ARBHOME)/INCLUDE/attributes.h

ad_load.o: ad_lpro.h
ad_load.o: ad_prot.h
ad_load.o: ad_t_lpro.h
ad_load.o: ad_t_prot.h
ad_load.o: adlmacros.h
ad_load.o: adlocal.h
ad_load.o: admap.h
ad_load.o: adtune.h
ad_load.o: arbdb.h
ad_load.o: arbdbt.h
ad_load.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_load.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ad_load.o: $(ARBHOME)/INCLUDE/attributes.h

ad_save_load.o: ad_lpro.h
ad_save_load.o: ad_prot.h
ad_save_load.o: adlmacros.h
ad_save_load.o: adlocal.h
ad_save_load.o: admap.h
ad_save_load.o: adtune.h
ad_save_load.o: arbdb.h
ad_save_load.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ad_save_load.o: $(ARBHOME)/INCLUDE/attributes.h

adali.o: ad_lpro.h
adali.o: ad_prot.h
adali.o: ad_t_lpro.h
adali.o: ad_t_prot.h
adali.o: adGene.h
adali.o: adlmacros.h
adali.o: adlocal.h
adali.o: adtune.h
adali.o: arbdb.h
adali.o: arbdbt.h
adali.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adali.o: $(ARBHOME)/INCLUDE/arb_assert.h
adali.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adali.o: $(ARBHOME)/INCLUDE/attributes.h

adChangeKey.o: ad_prot.h
adChangeKey.o: ad_t_prot.h
adChangeKey.o: arbdb.h
adChangeKey.o: arbdbt.h
adChangeKey.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arb_assert.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adChangeKey.o: $(ARBHOME)/INCLUDE/attributes.h

adcolumns.o: ad_lpro.h
adcolumns.o: ad_prot.h
adcolumns.o: ad_t_lpro.h
adcolumns.o: ad_t_prot.h
adcolumns.o: adGene.h
adcolumns.o: adlmacros.h
adcolumns.o: adlocal.h
adcolumns.o: adtune.h
adcolumns.o: arbdb.h
adcolumns.o: arbdbt.h
adcolumns.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adcolumns.o: $(ARBHOME)/INCLUDE/arb_assert.h
adcolumns.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adcolumns.o: $(ARBHOME)/INCLUDE/attributes.h

adcomm.o: ad_lpro.h
adcomm.o: ad_prot.h
adcomm.o: adlmacros.h
adcomm.o: adlocal.h
adcomm.o: adtune.h
adcomm.o: arbdb.h
adcomm.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_assert.h
adcomm.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adcomm.o: $(ARBHOME)/INCLUDE/attributes.h

adcompr.o: ad_lpro.h
adcompr.o: ad_prot.h
adcompr.o: ad_t_lpro.h
adcompr.o: ad_t_prot.h
adcompr.o: adlmacros.h
adcompr.o: adlocal.h
adcompr.o: adtune.h
adcompr.o: arbdb.h
adcompr.o: arbdbt.h
adcompr.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adcompr.o: $(ARBHOME)/INCLUDE/arb_assert.h
adcompr.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adcompr.o: $(ARBHOME)/INCLUDE/attributes.h

adExperiment.o: ad_prot.h
adExperiment.o: ad_t_prot.h
adExperiment.o: arbdb.h
adExperiment.o: arbdbt.h
adExperiment.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adExperiment.o: $(ARBHOME)/INCLUDE/arb_assert.h
adExperiment.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adExperiment.o: $(ARBHOME)/INCLUDE/attributes.h

adGene.o: ad_prot.h
adGene.o: ad_t_prot.h
adGene.o: adGene.h
adGene.o: arbdb.h
adGene.o: arbdbt.h
adGene.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adGene.o: $(ARBHOME)/INCLUDE/arb_assert.h
adGene.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adGene.o: $(ARBHOME)/INCLUDE/attributes.h

adhash.o: ad_lpro.h
adhash.o: ad_prot.h
adhash.o: adlmacros.h
adhash.o: adlocal.h
adhash.o: adtune.h
adhash.o: arbdb.h
adhash.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adhash.o: $(ARBHOME)/INCLUDE/arb_assert.h
adhash.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adhash.o: $(ARBHOME)/INCLUDE/attributes.h

adhashtools.o: ad_lpro.h
adhashtools.o: ad_prot.h
adhashtools.o: ad_t_lpro.h
adhashtools.o: ad_t_prot.h
adhashtools.o: adlmacros.h
adhashtools.o: adlocal.h
adhashtools.o: adtune.h
adhashtools.o: arbdb.h
adhashtools.o: arbdbt.h
adhashtools.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adhashtools.o: $(ARBHOME)/INCLUDE/arb_assert.h
adhashtools.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adhashtools.o: $(ARBHOME)/INCLUDE/attributes.h

adindex.o: ad_lpro.h
adindex.o: ad_prot.h
adindex.o: adlmacros.h
adindex.o: adlocal.h
adindex.o: adlundo.h
adindex.o: adtune.h
adindex.o: arbdb.h
adindex.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adindex.o: $(ARBHOME)/INCLUDE/arb_assert.h
adindex.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adindex.o: $(ARBHOME)/INCLUDE/attributes.h

aditem.o: ad_lpro.h
aditem.o: ad_prot.h
aditem.o: ad_t_lpro.h
aditem.o: ad_t_prot.h
aditem.o: adlmacros.h
aditem.o: adlocal.h
aditem.o: adtune.h
aditem.o: arbdb.h
aditem.o: arbdbt.h
aditem.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
aditem.o: $(ARBHOME)/INCLUDE/arb_assert.h
aditem.o: $(ARBHOME)/INCLUDE/arbdb_base.h
aditem.o: $(ARBHOME)/INCLUDE/attributes.h

adlang1.o: ad_lpro.h
adlang1.o: ad_prot.h
adlang1.o: ad_t_lpro.h
adlang1.o: ad_t_prot.h
adlang1.o: adGene.h
adlang1.o: adlmacros.h
adlang1.o: adlocal.h
adlang1.o: adtune.h
adlang1.o: arbdb.h
adlang1.o: arbdbt.h
adlang1.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adlang1.o: $(ARBHOME)/INCLUDE/arb_assert.h
adlang1.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adlang1.o: $(ARBHOME)/INCLUDE/attributes.h

adlink.o: ad_lpro.h
adlink.o: ad_prot.h
adlink.o: adlmacros.h
adlink.o: adlocal.h
adlink.o: adtune.h
adlink.o: arbdb.h
adlink.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adlink.o: $(ARBHOME)/INCLUDE/arb_assert.h
adlink.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adlink.o: $(ARBHOME)/INCLUDE/attributes.h

admalloc.o: ad_lpro.h
admalloc.o: ad_prot.h
admalloc.o: adlmacros.h
admalloc.o: adlocal.h
admalloc.o: adtune.h
admalloc.o: arbdb.h
admalloc.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admalloc.o: $(ARBHOME)/INCLUDE/arb_assert.h
admalloc.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admalloc.o: $(ARBHOME)/INCLUDE/attributes.h

admap.o: ad_lpro.h
admap.o: ad_prot.h
admap.o: adlmacros.h
admap.o: adlocal.h
admap.o: admap.h
admap.o: adtune.h
admap.o: arbdb.h
admap.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admap.o: $(ARBHOME)/INCLUDE/arb_assert.h
admap.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admap.o: $(ARBHOME)/INCLUDE/attributes.h

admatch.o: ad_lpro.h
admatch.o: ad_prot.h
admatch.o: adlmacros.h
admatch.o: adlocal.h
admatch.o: adtune.h
admatch.o: arbdb.h
admatch.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admatch.o: $(ARBHOME)/INCLUDE/arb_assert.h
admatch.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admatch.o: $(ARBHOME)/INCLUDE/attributes.h

admath.o: ad_lpro.h
admath.o: ad_prot.h
admath.o: adlmacros.h
admath.o: adlocal.h
admath.o: adtune.h
admath.o: arbdb.h
admath.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admath.o: $(ARBHOME)/INCLUDE/arb_assert.h
admath.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admath.o: $(ARBHOME)/INCLUDE/attributes.h

adname.o: ad_config.h
adname.o: ad_lpro.h
adname.o: ad_prot.h
adname.o: ad_t_lpro.h
adname.o: ad_t_prot.h
adname.o: adlmacros.h
adname.o: adlocal.h
adname.o: adtune.h
adname.o: arbdb.h
adname.o: arbdbt.h
adname.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adname.o: $(ARBHOME)/INCLUDE/arb_assert.h
adname.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adname.o: $(ARBHOME)/INCLUDE/attributes.h

adoptimize.o: ad_lpro.h
adoptimize.o: ad_prot.h
adoptimize.o: ad_t_lpro.h
adoptimize.o: ad_t_prot.h
adoptimize.o: adlmacros.h
adoptimize.o: adlocal.h
adoptimize.o: adtune.h
adoptimize.o: arbdb.h
adoptimize.o: arbdbt.h
adoptimize.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adoptimize.o: $(ARBHOME)/INCLUDE/arb_assert.h
adoptimize.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adoptimize.o: $(ARBHOME)/INCLUDE/attributes.h

adperl.o: ad_prot.h
adperl.o: arbdb.h
adperl.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adperl.o: $(ARBHOME)/INCLUDE/arb_assert.h
adperl.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adperl.o: $(ARBHOME)/INCLUDE/attributes.h

adquery.o: ad_lpro.h
adquery.o: ad_prot.h
adquery.o: adlmacros.h
adquery.o: adlocal.h
adquery.o: adtune.h
adquery.o: arbdb.h
adquery.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adquery.o: $(ARBHOME)/INCLUDE/arb_assert.h
adquery.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adquery.o: $(ARBHOME)/INCLUDE/attributes.h

adRevCompl.o: ad_prot.h
adRevCompl.o: ad_t_prot.h
adRevCompl.o: arbdb.h
adRevCompl.o: arbdbt.h
adRevCompl.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adRevCompl.o: $(ARBHOME)/INCLUDE/arb_assert.h
adRevCompl.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adRevCompl.o: $(ARBHOME)/INCLUDE/attributes.h

adseqcompr.o: ad_lpro.h
adseqcompr.o: ad_prot.h
adseqcompr.o: ad_t_lpro.h
adseqcompr.o: ad_t_prot.h
adseqcompr.o: adlmacros.h
adseqcompr.o: adlocal.h
adseqcompr.o: adtune.h
adseqcompr.o: arbdb.h
adseqcompr.o: arbdbt.h
adseqcompr.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adseqcompr.o: $(ARBHOME)/INCLUDE/arb_assert.h
adseqcompr.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adseqcompr.o: $(ARBHOME)/INCLUDE/attributes.h

adsocket.o: ad_lpro.h
adsocket.o: ad_prot.h
adsocket.o: adlmacros.h
adsocket.o: adlocal.h
adsocket.o: adtune.h
adsocket.o: arbdb.h
adsocket.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adsocket.o: $(ARBHOME)/INCLUDE/arb_assert.h
adsocket.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adsocket.o: $(ARBHOME)/INCLUDE/attributes.h

adsort.o: ad_prot.h
adsort.o: arbdb.h
adsort.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adsort.o: $(ARBHOME)/INCLUDE/arb_assert.h
adsort.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adsort.o: $(ARBHOME)/INCLUDE/attributes.h

adstring.o: ad_lpro.h
adstring.o: ad_prot.h
adstring.o: adlmacros.h
adstring.o: adlocal.h
adstring.o: adtune.h
adstring.o: arbdb.h
adstring.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adstring.o: $(ARBHOME)/INCLUDE/arb_assert.h
adstring.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adstring.o: $(ARBHOME)/INCLUDE/attributes.h

adsystem.o: ad_lpro.h
adsystem.o: ad_prot.h
adsystem.o: ad_t_lpro.h
adsystem.o: ad_t_prot.h
adsystem.o: adlmacros.h
adsystem.o: adlocal.h
adsystem.o: adtune.h
adsystem.o: arbdb.h
adsystem.o: arbdbt.h
adsystem.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adsystem.o: $(ARBHOME)/INCLUDE/arb_assert.h
adsystem.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adsystem.o: $(ARBHOME)/INCLUDE/attributes.h

adtables.o: ad_lpro.h
adtables.o: ad_prot.h
adtables.o: ad_t_lpro.h
adtables.o: ad_t_prot.h
adtables.o: adlmacros.h
adtables.o: adlocal.h
adtables.o: adtune.h
adtables.o: arbdb.h
adtables.o: arbdbt.h
adtables.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adtables.o: $(ARBHOME)/INCLUDE/arb_assert.h
adtables.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adtables.o: $(ARBHOME)/INCLUDE/attributes.h

adtcp.o: ad_lpro.h
adtcp.o: ad_prot.h
adtcp.o: ad_t_lpro.h
adtcp.o: ad_t_prot.h
adtcp.o: adlmacros.h
adtcp.o: adlocal.h
adtcp.o: adtune.h
adtcp.o: arbdb.h
adtcp.o: arbdbt.h
adtcp.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adtcp.o: $(ARBHOME)/INCLUDE/arb_assert.h
adtcp.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adtcp.o: $(ARBHOME)/INCLUDE/attributes.h

adTest.o: ad_lpro.h
adTest.o: ad_prot.h
adTest.o: adlmacros.h
adTest.o: adlocal.h
adTest.o: admap.h
adTest.o: adtune.h
adTest.o: arbdb.h
adTest.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adTest.o: $(ARBHOME)/INCLUDE/arb_assert.h
adTest.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adTest.o: $(ARBHOME)/INCLUDE/attributes.h

adtools.o: ad_lpro.h
adtools.o: ad_prot.h
adtools.o: ad_t_lpro.h
adtools.o: ad_t_prot.h
adtools.o: adlmacros.h
adtools.o: adlocal.h

=== ARBDBPP/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben
.SUFFIXES: .o .c .cxx .depend
CPP_OBJECTS = adtsequence.o adt_edit.o adtali.o adextended.o adseq.o adspecies.o admain.o adali.o  liste.o
$(MAIN): $(CPP_OBJECTS)
	$(LINK_SHARED_LIB) $(@:.a=).$(SHARED_LIB_SUFFIX) $(CPP_OBJECTS)
	touch $@
.cxx.o:
	$(CPPLIB) $(cflags) -c $< $(CPPINCLUDES)

clean:
	rm -f $(CPP_OBJECTS) *.a *.so

DEPENDS = $(CPP_OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

adali.o: arbdb++.hxx
adali.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adali.o: $(ARBHOME)/INCLUDE/ad_prot.h
adali.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
adali.o: $(ARBHOME)/INCLUDE/arb_assert.h
adali.o: $(ARBHOME)/INCLUDE/arbdb.h
adali.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adali.o: $(ARBHOME)/INCLUDE/arbdbt.h
adali.o: $(ARBHOME)/INCLUDE/attributes.h
adali.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

adextended.o: arbdb++.hxx
adextended.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adextended.o: $(ARBHOME)/INCLUDE/ad_prot.h
adextended.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
adextended.o: $(ARBHOME)/INCLUDE/arb_assert.h
adextended.o: $(ARBHOME)/INCLUDE/arbdb.h
adextended.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adextended.o: $(ARBHOME)/INCLUDE/arbdbt.h
adextended.o: $(ARBHOME)/INCLUDE/attributes.h
adextended.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

admain.o: arbdb++.hxx
admain.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admain.o: $(ARBHOME)/INCLUDE/ad_prot.h
admain.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
admain.o: $(ARBHOME)/INCLUDE/arb_assert.h
admain.o: $(ARBHOME)/INCLUDE/arbdb.h
admain.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admain.o: $(ARBHOME)/INCLUDE/arbdbt.h
admain.o: $(ARBHOME)/INCLUDE/attributes.h
admain.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

adseq.o: arbdb++.hxx
adseq.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adseq.o: $(ARBHOME)/INCLUDE/ad_prot.h
adseq.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
adseq.o: $(ARBHOME)/INCLUDE/arb_assert.h
adseq.o: $(ARBHOME)/INCLUDE/arbdb.h
adseq.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adseq.o: $(ARBHOME)/INCLUDE/arbdbt.h
adseq.o: $(ARBHOME)/INCLUDE/attributes.h
adseq.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

adspecies.o: arbdb++.hxx
adspecies.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adspecies.o: $(ARBHOME)/INCLUDE/ad_prot.h
adspecies.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
adspecies.o: $(ARBHOME)/INCLUDE/arb_assert.h
adspecies.o: $(ARBHOME)/INCLUDE/arbdb.h
adspecies.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adspecies.o: $(ARBHOME)/INCLUDE/arbdbt.h
adspecies.o: $(ARBHOME)/INCLUDE/attributes.h
adspecies.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

adt_edit.o: adtools.hxx
adt_edit.o: arbdb++.hxx
adt_edit.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adt_edit.o: $(ARBHOME)/INCLUDE/ad_prot.h
adt_edit.o: $(ARBHOME)/INCLUDE/arb_assert.h
adt_edit.o: $(ARBHOME)/INCLUDE/arbdb.h
adt_edit.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adt_edit.o: $(ARBHOME)/INCLUDE/attributes.h
adt_edit.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

adtali.o: adtools.hxx
adtali.o: arbdb++.hxx
adtali.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adtali.o: $(ARBHOME)/INCLUDE/ad_prot.h
adtali.o: $(ARBHOME)/INCLUDE/arb_assert.h
adtali.o: $(ARBHOME)/INCLUDE/arbdb.h
adtali.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adtali.o: $(ARBHOME)/INCLUDE/attributes.h
adtali.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

adtsequence.o: adtools.hxx
adtsequence.o: arbdb++.hxx
adtsequence.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adtsequence.o: $(ARBHOME)/INCLUDE/ad_prot.h
adtsequence.o: $(ARBHOME)/INCLUDE/arb_assert.h
adtsequence.o: $(ARBHOME)/INCLUDE/arbdb.h
adtsequence.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adtsequence.o: $(ARBHOME)/INCLUDE/attributes.h
adtsequence.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

liste.o: arbdb++.hxx
liste.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
liste.o: $(ARBHOME)/INCLUDE/ad_prot.h
liste.o: $(ARBHOME)/INCLUDE/arb_assert.h
liste.o: $(ARBHOME)/INCLUDE/arbdb.h
liste.o: $(ARBHOME)/INCLUDE/arbdb_base.h
liste.o: $(ARBHOME)/INCLUDE/attributes.h
liste.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx

=== ARBDBS/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben
.SUFFIXES: .o .c .cxx .depend

include AD_MOBJECTS.h


OBJECTS = $(GB_O) $(GB_T) $(GB_PP) $(GB_X)

$(MAIN): $(OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(OBJECTS)
.c.o:
	$(ACC) $(cflags) -c $< $(AINCLUDES) $(POST_COMPILE)
.cxx.o:
	$(CPP) $(cflags) -c $< $(CPPINCLUDES) $(POST_COMPILE)

clean:
	rm -f $(OBJECTS) *.a

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

links:
	ln -s ../ARBDB/*.[ch] .

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

ad_config.o: ad_config.h
ad_config.o: ad_prot.h
ad_config.o: ad_t_prot.h
ad_config.o: arbdb.h
ad_config.o: arbdbt.h
ad_config.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
ad_config.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_config.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ad_config.o: $(ARBHOME)/INCLUDE/attributes.h

ad_core.o: ad_lpro.h
ad_core.o: ad_prot.h
ad_core.o: adlmacros.h
ad_core.o: adlocal.h
ad_core.o: adtune.h
ad_core.o: arbdb.h
ad_core.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
ad_core.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_core.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ad_core.o: $(ARBHOME)/INCLUDE/attributes.h

ad_load.o: ad_lpro.h
ad_load.o: ad_prot.h
ad_load.o: ad_t_lpro.h
ad_load.o: ad_t_prot.h
ad_load.o: adlmacros.h
ad_load.o: adlocal.h
ad_load.o: admap.h
ad_load.o: adtune.h
ad_load.o: arbdb.h
ad_load.o: arbdbt.h
ad_load.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
ad_load.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_load.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ad_load.o: $(ARBHOME)/INCLUDE/attributes.h

ad_save_load.o: ad_lpro.h
ad_save_load.o: ad_prot.h
ad_save_load.o: adlmacros.h
ad_save_load.o: adlocal.h
ad_save_load.o: admap.h
ad_save_load.o: adtune.h
ad_save_load.o: arbdb.h
ad_save_load.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arb_assert.h
ad_save_load.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ad_save_load.o: $(ARBHOME)/INCLUDE/attributes.h

adali.o: ad_lpro.h
adali.o: ad_prot.h
adali.o: ad_t_lpro.h
adali.o: ad_t_prot.h
adali.o: adGene.h
adali.o: adlmacros.h
adali.o: adlocal.h
adali.o: adtune.h
adali.o: arbdb.h
adali.o: arbdbt.h
adali.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adali.o: $(ARBHOME)/INCLUDE/arb_assert.h
adali.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adali.o: $(ARBHOME)/INCLUDE/attributes.h

adChangeKey.o: ad_prot.h
adChangeKey.o: ad_t_prot.h
adChangeKey.o: arbdb.h
adChangeKey.o: arbdbt.h
adChangeKey.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arb_assert.h
adChangeKey.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adChangeKey.o: $(ARBHOME)/INCLUDE/attributes.h

adcolumns.o: ad_lpro.h
adcolumns.o: ad_prot.h
adcolumns.o: ad_t_lpro.h
adcolumns.o: ad_t_prot.h
adcolumns.o: adGene.h
adcolumns.o: adlmacros.h
adcolumns.o: adlocal.h
adcolumns.o: adtune.h
adcolumns.o: arbdb.h
adcolumns.o: arbdbt.h
adcolumns.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adcolumns.o: $(ARBHOME)/INCLUDE/arb_assert.h
adcolumns.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adcolumns.o: $(ARBHOME)/INCLUDE/attributes.h

adcomm.o: ad_lpro.h
adcomm.o: ad_prot.h
adcomm.o: adlmacros.h
adcomm.o: adlocal.h
adcomm.o: adtune.h
adcomm.o: arbdb.h
adcomm.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adcomm.o: $(ARBHOME)/INCLUDE/arb_assert.h
adcomm.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adcomm.o: $(ARBHOME)/INCLUDE/attributes.h

adcompr.o: ad_lpro.h
adcompr.o: ad_prot.h
adcompr.o: ad_t_lpro.h
adcompr.o: ad_t_prot.h
adcompr.o: adlmacros.h
adcompr.o: adlocal.h
adcompr.o: adtune.h
adcompr.o: arbdb.h
adcompr.o: arbdbt.h
adcompr.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adcompr.o: $(ARBHOME)/INCLUDE/arb_assert.h
adcompr.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adcompr.o: $(ARBHOME)/INCLUDE/attributes.h

adExperiment.o: ad_prot.h
adExperiment.o: ad_t_prot.h
adExperiment.o: arbdb.h
adExperiment.o: arbdbt.h
adExperiment.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adExperiment.o: $(ARBHOME)/INCLUDE/arb_assert.h
adExperiment.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adExperiment.o: $(ARBHOME)/INCLUDE/attributes.h

adGene.o: ad_prot.h
adGene.o: ad_t_prot.h
adGene.o: adGene.h
adGene.o: arbdb.h
adGene.o: arbdbt.h
adGene.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adGene.o: $(ARBHOME)/INCLUDE/arb_assert.h
adGene.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adGene.o: $(ARBHOME)/INCLUDE/attributes.h

adhash.o: ad_lpro.h
adhash.o: ad_prot.h
adhash.o: adlmacros.h
adhash.o: adlocal.h
adhash.o: adtune.h
adhash.o: arbdb.h
adhash.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adhash.o: $(ARBHOME)/INCLUDE/arb_assert.h
adhash.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adhash.o: $(ARBHOME)/INCLUDE/attributes.h

adhashtools.o: ad_lpro.h
adhashtools.o: ad_prot.h
adhashtools.o: ad_t_lpro.h
adhashtools.o: ad_t_prot.h
adhashtools.o: adlmacros.h
adhashtools.o: adlocal.h
adhashtools.o: adtune.h
adhashtools.o: arbdb.h
adhashtools.o: arbdbt.h
adhashtools.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adhashtools.o: $(ARBHOME)/INCLUDE/arb_assert.h
adhashtools.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adhashtools.o: $(ARBHOME)/INCLUDE/attributes.h

adindex.o: ad_lpro.h
adindex.o: ad_prot.h
adindex.o: adlmacros.h
adindex.o: adlocal.h
adindex.o: adlundo.h
adindex.o: adtune.h
adindex.o: arbdb.h
adindex.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adindex.o: $(ARBHOME)/INCLUDE/arb_assert.h
adindex.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adindex.o: $(ARBHOME)/INCLUDE/attributes.h

aditem.o: ad_lpro.h
aditem.o: ad_prot.h
aditem.o: ad_t_lpro.h
aditem.o: ad_t_prot.h
aditem.o: adlmacros.h
aditem.o: adlocal.h
aditem.o: adtune.h
aditem.o: arbdb.h
aditem.o: arbdbt.h
aditem.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
aditem.o: $(ARBHOME)/INCLUDE/arb_assert.h
aditem.o: $(ARBHOME)/INCLUDE/arbdb_base.h
aditem.o: $(ARBHOME)/INCLUDE/attributes.h

adlang1.o: ad_lpro.h
adlang1.o: ad_prot.h
adlang1.o: ad_t_lpro.h
adlang1.o: ad_t_prot.h
adlang1.o: adGene.h
adlang1.o: adlmacros.h
adlang1.o: adlocal.h
adlang1.o: adtune.h
adlang1.o: arbdb.h
adlang1.o: arbdbt.h
adlang1.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adlang1.o: $(ARBHOME)/INCLUDE/arb_assert.h
adlang1.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adlang1.o: $(ARBHOME)/INCLUDE/attributes.h

adlink.o: ad_lpro.h
adlink.o: ad_prot.h
adlink.o: adlmacros.h
adlink.o: adlocal.h
adlink.o: adtune.h
adlink.o: arbdb.h
adlink.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adlink.o: $(ARBHOME)/INCLUDE/arb_assert.h
adlink.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adlink.o: $(ARBHOME)/INCLUDE/attributes.h

admalloc.o: ad_lpro.h
admalloc.o: ad_prot.h
admalloc.o: adlmacros.h
admalloc.o: adlocal.h
admalloc.o: adtune.h
admalloc.o: arbdb.h
admalloc.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admalloc.o: $(ARBHOME)/INCLUDE/arb_assert.h
admalloc.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admalloc.o: $(ARBHOME)/INCLUDE/attributes.h

admap.o: ad_lpro.h
admap.o: ad_prot.h
admap.o: adlmacros.h
admap.o: adlocal.h
admap.o: admap.h
admap.o: adtune.h
admap.o: arbdb.h
admap.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admap.o: $(ARBHOME)/INCLUDE/arb_assert.h
admap.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admap.o: $(ARBHOME)/INCLUDE/attributes.h

admatch.o: ad_lpro.h
admatch.o: ad_prot.h
admatch.o: adlmacros.h
admatch.o: adlocal.h
admatch.o: adtune.h
admatch.o: arbdb.h
admatch.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admatch.o: $(ARBHOME)/INCLUDE/arb_assert.h
admatch.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admatch.o: $(ARBHOME)/INCLUDE/attributes.h

admath.o: ad_lpro.h
admath.o: ad_prot.h
admath.o: adlmacros.h
admath.o: adlocal.h
admath.o: adtune.h
admath.o: arbdb.h
admath.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
admath.o: $(ARBHOME)/INCLUDE/arb_assert.h
admath.o: $(ARBHOME)/INCLUDE/arbdb_base.h
admath.o: $(ARBHOME)/INCLUDE/attributes.h

adname.o: ad_config.h
adname.o: ad_lpro.h
adname.o: ad_prot.h
adname.o: ad_t_lpro.h
adname.o: ad_t_prot.h
adname.o: adlmacros.h
adname.o: adlocal.h
adname.o: adtune.h
adname.o: arbdb.h
adname.o: arbdbt.h
adname.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adname.o: $(ARBHOME)/INCLUDE/arb_assert.h
adname.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adname.o: $(ARBHOME)/INCLUDE/attributes.h

adoptimize.o: ad_lpro.h
adoptimize.o: ad_prot.h
adoptimize.o: ad_t_lpro.h
adoptimize.o: ad_t_prot.h
adoptimize.o: adlmacros.h
adoptimize.o: adlocal.h
adoptimize.o: adtune.h
adoptimize.o: arbdb.h
adoptimize.o: arbdbt.h
adoptimize.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adoptimize.o: $(ARBHOME)/INCLUDE/arb_assert.h
adoptimize.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adoptimize.o: $(ARBHOME)/INCLUDE/attributes.h

adperl.o: ad_prot.h
adperl.o: arbdb.h
adperl.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adperl.o: $(ARBHOME)/INCLUDE/arb_assert.h
adperl.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adperl.o: $(ARBHOME)/INCLUDE/attributes.h

adquery.o: ad_lpro.h
adquery.o: ad_prot.h
adquery.o: adlmacros.h
adquery.o: adlocal.h
adquery.o: adtune.h
adquery.o: arbdb.h
adquery.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adquery.o: $(ARBHOME)/INCLUDE/arb_assert.h
adquery.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adquery.o: $(ARBHOME)/INCLUDE/attributes.h

adRevCompl.o: ad_prot.h
adRevCompl.o: ad_t_prot.h
adRevCompl.o: arbdb.h
adRevCompl.o: arbdbt.h
adRevCompl.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adRevCompl.o: $(ARBHOME)/INCLUDE/arb_assert.h
adRevCompl.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adRevCompl.o: $(ARBHOME)/INCLUDE/attributes.h

adseqcompr.o: ad_lpro.h
adseqcompr.o: ad_prot.h
adseqcompr.o: ad_t_lpro.h
adseqcompr.o: ad_t_prot.h
adseqcompr.o: adlmacros.h
adseqcompr.o: adlocal.h
adseqcompr.o: adtune.h
adseqcompr.o: arbdb.h
adseqcompr.o: arbdbt.h
adseqcompr.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adseqcompr.o: $(ARBHOME)/INCLUDE/arb_assert.h
adseqcompr.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adseqcompr.o: $(ARBHOME)/INCLUDE/attributes.h

adsocket.o: ad_lpro.h
adsocket.o: ad_prot.h
adsocket.o: adlmacros.h
adsocket.o: adlocal.h
adsocket.o: adtune.h
adsocket.o: arbdb.h
adsocket.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adsocket.o: $(ARBHOME)/INCLUDE/arb_assert.h
adsocket.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adsocket.o: $(ARBHOME)/INCLUDE/attributes.h

adsort.o: ad_prot.h
adsort.o: arbdb.h
adsort.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adsort.o: $(ARBHOME)/INCLUDE/arb_assert.h
adsort.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adsort.o: $(ARBHOME)/INCLUDE/attributes.h

adstring.o: ad_lpro.h
adstring.o: ad_prot.h
adstring.o: adlmacros.h
adstring.o: adlocal.h
adstring.o: adtune.h
adstring.o: arbdb.h
adstring.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adstring.o: $(ARBHOME)/INCLUDE/arb_assert.h
adstring.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adstring.o: $(ARBHOME)/INCLUDE/attributes.h

adsystem.o: ad_lpro.h
adsystem.o: ad_prot.h
adsystem.o: ad_t_lpro.h
adsystem.o: ad_t_prot.h
adsystem.o: adlmacros.h
adsystem.o: adlocal.h
adsystem.o: adtune.h
adsystem.o: arbdb.h
adsystem.o: arbdbt.h
adsystem.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adsystem.o: $(ARBHOME)/INCLUDE/arb_assert.h
adsystem.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adsystem.o: $(ARBHOME)/INCLUDE/attributes.h

adtables.o: ad_lpro.h
adtables.o: ad_prot.h
adtables.o: ad_t_lpro.h
adtables.o: ad_t_prot.h
adtables.o: adlmacros.h
adtables.o: adlocal.h
adtables.o: adtune.h
adtables.o: arbdb.h
adtables.o: arbdbt.h
adtables.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adtables.o: $(ARBHOME)/INCLUDE/arb_assert.h
adtables.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adtables.o: $(ARBHOME)/INCLUDE/attributes.h

adtcp.o: ad_lpro.h
adtcp.o: ad_prot.h
adtcp.o: ad_t_lpro.h
adtcp.o: ad_t_prot.h
adtcp.o: adlmacros.h
adtcp.o: adlocal.h
adtcp.o: adtune.h
adtcp.o: arbdb.h
adtcp.o: arbdbt.h
adtcp.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adtcp.o: $(ARBHOME)/INCLUDE/arb_assert.h
adtcp.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adtcp.o: $(ARBHOME)/INCLUDE/attributes.h

adTest.o: ad_lpro.h
adTest.o: ad_prot.h
adTest.o: adlmacros.h
adTest.o: adlocal.h
adTest.o: admap.h
adTest.o: adtune.h
adTest.o: arbdb.h
adTest.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
adTest.o: $(ARBHOME)/INCLUDE/arb_assert.h
adTest.o: $(ARBHOME)/INCLUDE/arbdb_base.h
adTest.o: $(ARBHOME)/INCLUDE/attributes.h

adtools.o: ad_lpro.h
adtools.o: ad_prot.h

=== ARB_GDE/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben
.SUFFIXES: .o .cxx .depend

CPP_OBJECTS =   GDE_ParseMenu.o GDE.o GDE_event.o \
	GDE_arbdb_io.o  GDE_HGLfile.o\
	GDE_Genbank.o GDE_FileIO.o

CPP_FILES=$(CPP_OBJECTS:.o=.cxx)

$(MAIN): $(CPP_OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(CPP_OBJECTS)
.cxx.o:
	$(CPP) $(cflags) -c $< $(CPPINCLUDES)

proto: GDE_proto.h

GDE_proto.h: $(CPP_FILES) Makefile
	../MAKEBIN/aisc_mkpt -G -A -E -w GDE_proto.h $(CPP_FILES) > GDE_proto.h.tmp
	../SOURCE_TOOLS/mv_if_diff GDE_proto.h.tmp GDE_proto.h

clean:
	rm -f $(CPP_OBJECTS) *.a 

DEPENDS = $(CPP_OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

GDE.o: gde.hxx
GDE.o: GDE_awars.h
GDE.o: GDE_def.h
GDE.o: GDE_extglob.h
GDE.o: GDE_menu.h
GDE.o: GDE_proto.h
GDE.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
GDE.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE.o: $(ARBHOME)/INCLUDE/attributes.h
GDE.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE.o: $(ARBHOME)/INCLUDE/awt.hxx
GDE.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx

GDE_arbdb_io.o: gde.hxx
GDE_arbdb_io.o: GDE_def.h
GDE_arbdb_io.o: GDE_extglob.h
GDE_arbdb_io.o: GDE_menu.h
GDE_arbdb_io.o: GDE_proto.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/AW_rename.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/awt.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/awt_pro_a_nucs.hxx
GDE_arbdb_io.o: $(ARBHOME)/INCLUDE/awt_tree.hxx

GDE_event.o: gde.hxx
GDE_event.o: GDE_awars.h
GDE_event.o: GDE_def.h
GDE_event.o: GDE_extglob.h
GDE_event.o: GDE_menu.h
GDE_event.o: GDE_proto.h
GDE_event.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
GDE_event.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_event.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_event.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_event.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_event.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_event.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_event.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_event.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/awt.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/awt_pro_a_nucs.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
GDE_event.o: $(ARBHOME)/INCLUDE/awt_tree.hxx

GDE_FileIO.o: gde.hxx
GDE_FileIO.o: GDE_def.h
GDE_FileIO.o: GDE_extglob.h
GDE_FileIO.o: GDE_menu.h
GDE_FileIO.o: GDE_proto.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/arbdbt.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_FileIO.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GDE_FileIO.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE_FileIO.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GDE_FileIO.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE_FileIO.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE_FileIO.o: $(ARBHOME)/INCLUDE/awt.hxx

GDE_Genbank.o: gde.hxx
GDE_Genbank.o: GDE_def.h
GDE_Genbank.o: GDE_extglob.h
GDE_Genbank.o: GDE_menu.h
GDE_Genbank.o: GDE_proto.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_Genbank.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GDE_Genbank.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE_Genbank.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GDE_Genbank.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE_Genbank.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE_Genbank.o: $(ARBHOME)/INCLUDE/awt.hxx

GDE_HGLfile.o: gde.hxx
GDE_HGLfile.o: GDE_def.h
GDE_HGLfile.o: GDE_extglob.h
GDE_HGLfile.o: GDE_menu.h
GDE_HGLfile.o: GDE_proto.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE_HGLfile.o: $(ARBHOME)/INCLUDE/awt.hxx

GDE_ParseMenu.o: gde.hxx
GDE_ParseMenu.o: GDE_def.h
GDE_ParseMenu.o: GDE_extglob.h
GDE_ParseMenu.o: GDE_global.h
GDE_ParseMenu.o: GDE_menu.h
GDE_ParseMenu.o: GDE_proto.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/ad_prot.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arb_assert.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arbdb.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/arbdb_base.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/attributes.h
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/aw_device.hxx
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/aw_position.hxx
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/aw_root.hxx
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/aw_window.hxx
GDE_ParseMenu.o: $(ARBHOME)/INCLUDE/awt.hxx

=== AWT/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben

.SUFFIXES: .o .cxx .depend

OBJECTS =	\
		AWT_input_mask.o AWT_hotkeys.o \
		AWT_www.o AWT_tables.o AWT_irstree.o \
		AWT_asciiprint.o AWT_map_key.o AWT_tree_cmp.o AWT_seq_colors.o \
		AWT_pro_a_nucs.o AWT_csp.o AWT_canvas.o AWT_dtree.o AWT_tree.o AWT_tree_cb.o AWT_nei.o \
		AWT_filter.o AWT_sel_boxes.o AWT_canio.o AWT_nds.o \
		AWT_query_and_functions.o AWT_file_selection.o \
		AWT_preset.o AWT_seq_dna.o AWT_seq_protein.o AWT_seq_simple_pro.o \
		AWT_codon_table.o AWT_iupac.o AWT_config_manager.o AWT_advice.o AWT_db_browser.o \
		AWT_attributes.o AWT_changekey.o AWT_item_sel_list.o AWT_macro.o AWT_translate.o

$(MAIN): $(OBJECTS)
	$(LINK_SHARED_LIB) $(@:.a=).$(SHARED_LIB_SUFFIX) $(OBJECTS)
	touch $@

.cxx.o:
	$(CPPLIB) $(cflags) -c $<  $(CPPINCLUDES)

#	$(CPPLIB) $(cflags) -c -D_USE_AW_WINDOW $<  $(CPPINCLUDES)

awt_tree_cb.hxx: AWT_tree_cb.cxx
	rm -f $@
	../MAKEBIN/aisc_mkpt -w $@ -C $? >$@

clean:
	rm -f $(OBJECTS) *.a *.so

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

AWT_advice.o: awt.hxx
AWT_advice.o: awt_advice.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_advice.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_advice.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_advice.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_advice.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_advice.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_asciiprint.o: awt.hxx
AWT_asciiprint.o: awt_asciiprint.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_attributes.o: awt_attributes.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/aw_root.hxx

AWT_canio.o: awt.hxx
AWT_canio.o: awt_canvas.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_canio.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_canvas.o: awt.hxx
AWT_canvas.o: awt_canvas.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_changekey.o: awt.hxx
AWT_changekey.o: awt_item_sel_list.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_codon_table.o: awt.hxx
AWT_codon_table.o: awt_codon_table.hxx
AWT_codon_table.o: awt_iupac.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_config_manager.o: awt.hxx
AWT_config_manager.o: awt_config_manager.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_csp.o: awt.hxx
AWT_csp.o: awt_csp.hxx
AWT_csp.o: awt_pro_a_nucs.hxx
AWT_csp.o: awt_sel_boxes.hxx
AWT_csp.o: awt_tree.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_csp.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_csp.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_csp.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_csp.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_csp.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_csp.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_csp.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/BI_helix.hxx

AWT_db_browser.o: awt.hxx
AWT_db_browser.o: awt_pro_a_nucs.hxx
AWT_db_browser.o: awt_tree.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/inline.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/smartptr.h

AWT_dtree.o: awt.hxx
AWT_dtree.o: awt_attributes.hxx
AWT_dtree.o: awt_canvas.hxx
AWT_dtree.o: awt_dtree.hxx
AWT_dtree.o: awt_nds.hxx
AWT_dtree.o: awt_pro_a_nucs.hxx
AWT_dtree.o: awt_tree.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_preset.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_file_selection.o: awt.hxx
AWT_file_selection.o: awtlocal.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_filter.o: awt.hxx
AWT_filter.o: awt_pro_a_nucs.hxx
AWT_filter.o: awt_sel_boxes.hxx
AWT_filter.o: awt_tree.hxx
AWT_filter.o: awtfilter.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_filter.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_filter.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_filter.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_filter.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_filter.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_filter.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_filter.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_hotkeys.o: awt_hotkeys.hxx

AWT_input_mask.o: awt.hxx
AWT_input_mask.o: awt_hotkeys.hxx
AWT_input_mask.o: awt_input_mask.hxx
AWT_input_mask.o: awt_input_mask_internal.hxx
AWT_input_mask.o: awt_www.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/smartptr.h

AWT_irstree.o: awt_canvas.hxx
AWT_irstree.o: awt_dtree.hxx
AWT_irstree.o: awt_nds.hxx
AWT_irstree.o: awt_pro_a_nucs.hxx
AWT_irstree.o: awt_tree.hxx
AWT_irstree.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_irstree.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_irstree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_irstree.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_irstree.o: $(ARBHOME)/INCLUDE/arbdb.h

=== AWTI/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben
.SUFFIXES: .o .cxx .depend

CPP_OBJECTS = AWTI_import.o \
		      AWTI_export.o \

$(MAIN): $(CPP_OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(CPP_OBJECTS)
.cxx.o:
	$(CPP) $(cflags) -c $<  $(CPPINCLUDES)

clean:
	rm -f $(CPP_OBJECTS) *.a

DEPENDS = $(CPP_OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

AWTI_export.o: awti_exp_local.hxx
AWTI_export.o: awti_export.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWTI_export.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWTI_export.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arbdb.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWTI_export.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWTI_export.o: $(ARBHOME)/INCLUDE/attributes.h
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_global.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/awt.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/awt_pro_a_nucs.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/awt_tree.hxx
AWTI_export.o: $(ARBHOME)/INCLUDE/inline.h
AWTI_export.o: $(ARBHOME)/INCLUDE/xml.hxx

AWTI_import.o: awti_imp_local.hxx
AWTI_import.o: awti_import.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWTI_import.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWTI_import.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWTI_import.o: $(ARBHOME)/INCLUDE/adGene.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arbdb.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWTI_import.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWTI_import.o: $(ARBHOME)/INCLUDE/attributes.h
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_global.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/AW_rename.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/awt.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/awt_advice.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/awt_item_sel_list.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/GEN.hxx
AWTI_import.o: $(ARBHOME)/INCLUDE/GenomeImport.h
AWTI_import.o: $(ARBHOME)/INCLUDE/smartptr.h

=== debian/changelog ===
arb (5.5-5ubuntu1) trusty; urgency=medium

  * Rebuild against glew 1.10.
  * Fix build with recent GL (?), Motif (?).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 09:05:19 +0100

arb (5.5-5) unstable; urgency=low

  * build-depend on libtiff-dev instead of libtiff4-dev (thanks for the
    patch to Logan Rosen <logan@ubuntu.com>)
    Closes: #729769
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * canonical Vcs fields
  * debian/patches/hardening.patch: Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2013 09:24:14 +0100

arb (5.5-4) unstable; urgency=low

  * Build-Depends: libglew-dev instead of libglew1.5-dev
    Closes: #714327

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jun 2013 09:42:35 +0200

arb (5.5-3) unstable; urgency=low

  * debian/control:
     - Restrict arb to architectures
         amd64 i386 kfreebsd-i386 kfreebsd-amd64
       because only there raxml is fullfilled.  This makes sense because
       arb will most probably used only on these architectures anyway.
       Closes: #714268
     - Remove Dependency from openjdk which is not needed any more
       according to upstream
  * debian/arb-common.README.debian: Explain restriction to certain
    architectures
  * debian/arb.README.debian: Updated about architecture restriction
    and other things

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jun 2013 14:52:57 +0200

arb (5.5-2) unstable; urgency=low

  [ Tim Booth ]
  * debian/rules: Make sure arb_edit4 will be really built and abort package
    building process if not

  [ Andreas Tille ]
  * Rebuild against libmotiv-dev in main
    Closes: #713061
  * Add 4.6.3, 4.7.3 and 4.8.[0-3] to ALLOWED_GCC_VERSIONS
    Closes: #713219
  * debian/control:
     - remove DM-Upload-Allowed
     - Build-Depends: libglu1-mesa-dev
     - add raxml to Depends and do not build third party copy any more
       (debian/patches/60_use_debian_packaged_raxml.patch)
  * debian/patches/*: DEP3 comments
  * debian/patches/50_build_naligner.patch: Fix build issue that was
    caused by some brocken $(CFLAGS)
  * debian/rules: use xz compression

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jun 2013 09:42:03 +0200

arb (5.5-1) unstable; urgency=low

  * New upstream version (+adapted patches)
  * Standards-Version: 3.9.4 (no changes needed)
  * debian/po: Add Slovak po-debconf translation (Thanks to
    Slavko <slavko@slavino.sk> for the translation)
    Closes: #686275
  * debian/rules: Add '-lm' as suggested in patch by Konstantinos Margaritis
    <konstantinos.margaritis@freevec.org> to fix the build problem on armhf.
    This together with new upstream closes: #692499

 -- Andreas Tille <tille@debian.org>  Tue, 11 Dec 2012 09:59:08 +0100

=== debian/control ===
Source: arb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: chrpath,
               debhelper (>= 9),
               freeglut3-dev | libglu-dev,
               libbio-perl-perl,
               libglew-dev,
               libglw1-mesa-dev,
               libglu1-mesa-dev,
               libmotif-dev,
               libpng-dev,
               libtiff-dev,
               libxaw7-dev,
               libxml2-utils,
               libxpm-dev,
               lynx,
               time,
               perl-doc,
               xsltproc,
               xutils-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/arb/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/arb/trunk/
Homepage: http://www.arb-home.de/

Package: arb
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64
Depends: arb-common (= ${source:Version}),
         fastdnaml,
         libarb (= ${binary:Version}),
         openssh-client,
         phylip,
         raxml,
         readseq,
         transfig,
         tree-puzzle,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bioperl,
            xfig
Suggests: arb-database,
          gnuplot,
          gv,
          phyml
Description: Integrated package for sequence database handling and analysis
 The ARB software is a graphically oriented package comprising various tools
 for sequence database handling and data analysis. A central database of
 processed (aligned) sequences and any type of additional data linked to the
 respective sequence entries is structured according to phylogeny or other
 user defined criteria.
 .
 The ARB project (latin, "arbor"=tree) is a joint initiative of the Lehrstuhl
 fuer Mikrobiologie http://www.mikro.biologie.tu-muenchen.de/ and the
 Lehrstuhl fuer Rechnertechnik und Rechnerorganisation
 http://wwwbode.informatik.tu-muenchen.de/ of the Technical University
 of Munich.

Package: libarb
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: arb
Description: Integrated package for sequence database handling and analysis
 The ARB software is a graphically oriented package comprising various tools
 for sequence database handling and data analysis. A central database of
 processed (aligned) sequences and any type of additional data linked to the
 respective sequence entries is structured according to phylogeny or other
 user defined criteria.
 .
 The ARB project (latin, "arbor"=tree) is a joint initiative of the Lehrstuhl
 fuer Mikrobiologie http://www.mikro.biologie.tu-muenchen.de/ and the
 Lehrstuhl fuer Rechnertechnik und Rechnerorganisation
 http://wwwbode.informatik.tu-muenchen.de/ of the Technical University
 of Munich.
 .
 This package contains the dynamic libraries which are used by arb.

Package: arb-common
Architecture: all
Depends: adduser,
         arb-doc (= ${source:Version}),
         ghostscript | postscript-preview,
         gv | postscript-viewer,
         perl-modules,
         ${misc:Depends},
         ${perl:Depends}
Recommends: arb
Description: Integrated package for sequence database handling and analysis (data+scripts)
 The ARB software is a graphically oriented package comprising various tools
 for sequence database handling and data analysis. A central database of
 processed (aligned) sequences and any type of additional data linked to the
 respective sequence entries is structured according to phylogeny or other
 user defined criteria.
 .
 This package contains the architecture independent scripts of Arb.

Package: arb-doc
Architecture: all
Section: non-free/doc
Depends: ghostscript | postscript-preview,
         gv | postscript-viewer,
         ${misc:Depends}
Suggests: arb
Description: Integrated package for sequence database handling and analysis (docs)
 The ARB software is a graphically oriented package comprising various tools
 for sequence database handling and data analysis. A central database of
 processed (aligned) sequences and any type of additional data linked to the
 respective sequence entries is structured according to phylogeny or other
 user defined criteria.
 .
 This package contains the documentation for the package arb.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for arb using quilt

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
pkgcom=$(pkg)-common
pkgdoc=$(pkg)-doc
common=debian/$(pkgcom)

ARBHOME=$(CURDIR)

BITARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)
ifeq ($(BITARCH),64)
    ARB_64:=1
else
    ARB_64:=0
endif

%:
	dh $@

override_dh_auto_build:
	mkdir -p LIBLINK MAKEBIN lib/help
	export LC_ALL=C ; \
	export PATH=$(ARBHOME)/bin:$${PATH} ; \
	export LD_LIBRARY_PATH=$(ARBHOME)/lib:$${LD_LIBRARY_PATH} && \
	  $(MAKE) DEBIAN=1 ARBHOME=$(ARBHOME) ARB_64=$(ARB_64) \
	  CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" -lm \
	  all && \
	export LD_LIBRARY_PATH=$(ARBHOME)/lib:$${LD_LIBRARY_PATH} && \
	  $(MAKE) DEBIAN=1 ARBHOME=$(ARBHOME) ARB_64=$(ARB_64) \
	  CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" -lm \
	  arbxtras
	export LD_LIBRARY_PATH=$(ARBHOME)/lib:$${LD_LIBRARY_PATH}; \
	  cd HELP_SOURCE; $(MAKE) ARBHOME=$(ARBHOME) html
	#Ensure arb_edit4 was actually built
	ls bin/arb_edit4

# Remove links inside these directories because Makefile does not really clean
# these directories
DIRSTOREMOVELINKS=AWT ARBDBS ARBDB2 EDIT4 LIBLINK MAKEBIN NALIGNER NAMES_COM ORS_COM PROBE PROBE_COM PROBE_SERVER TOOLS bin lib/inputMasks lib/help
# The following subdirectorys where created at compile time in some directories
# but will not be removed by clean target
SUBDIRSTOREMOVE=GENC GENH O
# Sometimes clean target does not work as expected.  Try to clean some dirs manually
DIRSTOCLEAN=AISC AISC_MKPTPS SOURCE_TOOLS

RemoveFromSourceAndBuild=PERL2ARB/Makefile PERL2ARB/ARB.c HELP_SOURCE/date.xsl \
                         lib/arb_tcp.dat lib/ARB.pm \
			 *.last_gcc TEMPLATES/arb_build.h \
			 GDE/MOLPHY/prot_tml.h \
			 PERL2ARB/perlmain.c \
			 PERL2ARB/ARB.bs PERL_SCRIPTS/test/test.stamp PERL2ARB/MYMETA.yml
FILESTOREMOVE=libXm.so.3 NALIGNER/NALIGNER.com lib/nas/names.dat $(RemoveFromSourceAndBuild)
DIRSTOREMOVE=INCLUDE HELP_SOURCE/Xml lib/help lib/help_html PERL5 lib/perl5 PROBE_SERVER/bin PERL2ARB/blib/man3 PROBE_SET/bin
DirsToKeepOnlyMAKEFILE=bin

override_dh_auto_clean:
	# Make does only work if config.makefile exists which is only the
	# case when quilt has installed the patches.  So there is neither
	# a need nor the expection of success if config.makefile is missing
	[ ! -f config.makefile ] || $(MAKE) DEBIAN=1 ARBHOME=$(ARBHOME) clean
	
	# fix broken clean process
	find . -type f -name "*.a"  -delete
	find . -type f -name "*.o"  -delete
	find . -type f -name "*.so" -delete
	rm -f `find bin -name "arb*" | grep -v ".pl$$"`
	rm -f `find $(DIRSTOREMOVELINKS) -type l`
	rm -f `find . -type f -name ".depends"`
	for dir in $(SUBDIRSTOREMOVE) ; do \
	   rm -rf `find . -name $${dir} -type d` ; \
	done
	rm -f `find $(DirsToKeepOnlyMAKEFILE) -maxdepth 1 -type f | grep -v Makefile`
	rm -f `find PROBE_WEB/CLIENT -name \*.class -type f`
	rm -f `find PROBE_WEB/CLIENT -name \*.jar -type f`
	rm -f $(FILESTOREMOVE)
	rm -fr $(DIRSTOREMOVE)
	for dtc in $(DIRSTOCLEAN); do if [ -d $${dtc} ] ; then cd $${dtc}; make clean ; fi; done
	find . -name "*.stamp" -o -name "*.bs" -o -name ".exists" -delete

override_dh_install:
	dh_install
	# remove files from arb package which are in arb-nas
	if [ -s debian/arb-nas.install ] ; then \
	    for arbfile in `sed 's?^bin/\([^[:space:]]\+\)[[:space:]]\+\(.\+\)?debian/$(pkg)/\2/\1?' debian/arb-nas.install | grep debian/$(arb)` ; do \
		rm -f $${arbfile} ; \
	    done ; \
	fi

	# the check is needed to make sure it will not fail when doing binary-arch only builds
	if [ -e debian/$(pkgcom)/usr/lib/arb/SH/arb_create_debian_conffile ] ; then \
	    # Move SH/README to docs \
	    cp -a SH/README debian/$(pkgcom)/usr/share/doc/arb/README_SH ; \
	    # Fix permission of scripts \
	    chmod a+x debian/$(pkgcom)/usr/lib/arb/SH/arb_create_debian_conffile ; \
	    chmod a+x debian/$(pkgcom)/usr/lib/arb/lib/macro.head ; \
	fi

	# Man page is not really needed and throws just a lintian warning
	# mkdir `pwd`/debian/$(pkg)/usr/share/man/man3
	# perldoc PERL2ARB/ARB.pm > `pwd`/debian/$(pkg)/usr/share/man/man3/ARB.3pm


override_dh_strip:
	# Fix rpath issue (once libarb is installed)
	if [ -e debian/libarb/usr/lib/arb/lib/ARB.so ] ; then \
	    chrpath --delete debian/libarb/usr/lib/arb/lib/ARB.so ; \
	fi
	dh_strip

override_dh_shlibdeps:
	dh_shlibdeps -a -l debian/libarb/usr/lib

override_dh_builddeb:
	dh_builddeb -- -Z xz

# To update po files as recommended in po-debconf(7) 
debian/po/templates.pot: debian/arb-common.templates
	@debconf-updatepo

=== debian/watch ===
version=3
# opts="uversionmangle=s/_//g;s/^/0.0./" \
#        http://download.arb-home.de/src/arbsrc_([[:digit:]].*)\.(?:tar\.gz|tar|tgz)$

opts="downloadurlmangle=s/$/arbsrc.tgz/,filenamemangle=s/\/$/.tgz/" \
   http://download.arb-home.de/release/ arb_(\d+.*)/
